## org.eclipse.emf.common.notify
Interface Adapter.Internal

All Superinterfaces:
  Adapter

All Known Implementing Classes:
  AbstractGeneratorAdapter, AdapterFactoryEditingDomain.EditingDomainProvider, AdapterImpl, ChangeDescriptionItemProvider, ChangeRecorder, ComplexTypeConverterItemProvider, EAnnotationItemProvider, EAttributeItemProvider, EClassifierItemProvider, EClassItemProvider, EContentAdapter, Ecore2EcoreMappingRootItemProvider, ECrossReferenceAdapter, EDataTypeItemProvider, EEnumItemProvider, EEnumLiteralItemProvider, EFactoryItemProvider, EGenericTypeItemProvider, EMFPropertyListener, EMFPropertyListener.EMFListPropertyListener, EMFPropertyListener.EMFMapPropertyListener, EMFPropertyListener.EMFSetPropertyListener, EMFPropertyListener.EMFValuePropertyListener, EModelElementItemProvider, ENamedElementItemProvider, ENamedElementToXMLInfoMapEntryItemProvider, EObjectItemProvider, EObjectToChangesMapEntryItemProvider, EOperationItemProvider, EPackageItemProvider, EParameterItemProvider, EReferenceItemProvider, EStringToStringMapEntryItemProvider, EStructuralFeatureItemProvider, ESuperAdapter, ETypedElementItemProvider, ETypeParameterItemProvider, FeatureChangeItemProvider, FeatureMapEntryItemProvider, FunctionNamePairItemProvider, FunctionPairItemProvider, GenAnnotationItemProvider, GenBaseGeneratorAdapter, GenBaseItemProvider, GenClassGeneratorAdapter, GenClassItemProvider, GenDataTypeItemProvider, GenEnumGeneratorAdapter, GenEnumItemProvider, GenEnumLiteralItemProvider, GenFeatureItemProvider, GenModelGeneratorAdapter, GenModelItemProvider, GenOperationItemProvider, GenPackageGeneratorAdapter, GenPackageItemProvider, ItemProviderAdapter, ListChangeItemProvider, MappingHelperItemProvider, MappingItemProvider, MappingItemProviderAdapter, MappingRootImpl.MappedObjectStateAdapter, MappingRootItemProvider, MappingStrategyItemProvider, ReflectiveItemProvider, ResourceChangeItemProvider, ResourceImpl.ModificationTrackingAdapter, ResourceItemProvider, ResourceSetItemProvider, SingletonAdapterImpl, TreeNodeItemProvider, TypeConverterItemProvider, XMLInfoItemProvider, XMLMapItemProvider

Enclosing interface:
  Adapter

    public static interface Adapter.Internal

extends Adapter

An internal interface implemented by adapters. It allows a shared adapter to be informed when a specific notifier removes it from its adapter list.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`Adapter.Internal`

Method Summary
`void` `unsetTarget(Notifier oldTarget)` Unsets the target from which the adapter will receive notification.

Methods inherited from interface org.eclipse.emf.common.notify.Adapter
`getTarget, isAdapterForType, notifyChanged, setTarget`

Method Detail

### unsetTarget

    void unsetTarget(Notifier oldTarget)

  Unsets the target from which the adapter will receive notification. This method is only to be called by a notifier when this adapter is removed from its adapter list. In general, an adapter may be shared by more than one notifier, so this mechanism allows the adapter to know specifically which notifier will no longer be notifying.

  Parameters:
    `oldTarget` - the old notifier.
  See Also:
    `Adapter.getTarget()`, `Adapter.setTarget(Notifier)`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.